Package com.sap.ai.sdk.grounding.model

# Class GoogleDriveConfigurationStruct

java.lang.Object
com.sap.ai.sdk.grounding.model.GoogleDriveConfigurationStruct

public class GoogleDriveConfigurationStruct extends Object
GoogleDriveConfigurationStruct

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `GoogleDriveConfigurationStruct.Builder`
  Builder helper class.
  `static interface`
  `GoogleDriveConfigurationStruct.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GoogleDriveConfigurationStruct()`
  Default constructor for GoogleDriveConfigurationStruct.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GoogleDriveConfigurationStruct.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `GoogleDriveConfigurationStruct` instance with all required arguments.
  `GoogleDriveConfigurationStruct`
  `cronExpression(String cronExpression)`
  Set the cronExpression of this `GoogleDriveConfigurationStruct` instance and return the same instance.
  `GoogleDriveConfigurationStruct`
  `destination(String destination)`
  Set the destination of this `GoogleDriveConfigurationStruct` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getCronExpression()`
  Optional cron expression for scheduling pipeline execution.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `GoogleDriveConfigurationStruct`.
  `String`
  `getDestination()`
  Get destination
  `GoogleDriveConfig`
  `getGoogleDrive()`
  Get googleDrive
  `String`
  `getMetadataConfigId()`
  Get metadataConfigId
  `GoogleDriveConfigurationStruct`
  `googleDrive(GoogleDriveConfig googleDrive)`
  Set the googleDrive of this `GoogleDriveConfigurationStruct` instance and return the same instance.
  `int`
  `hashCode()`
  `GoogleDriveConfigurationStruct`
  `metadataConfigId(String metadataConfigId)`
  Set the metadataConfigId of this `GoogleDriveConfigurationStruct` instance and return the same instance.
  `void`
  `setCronExpression(String cronExpression)`
  Set the cronExpression of this `GoogleDriveConfigurationStruct` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `GoogleDriveConfigurationStruct` instance.
  `void`
  `setDestination(String destination)`
  Set the destination of this `GoogleDriveConfigurationStruct` instance.
  `void`
  `setGoogleDrive(GoogleDriveConfig googleDrive)`
  Set the googleDrive of this `GoogleDriveConfigurationStruct` instance.
  `void`
  `setMetadataConfigId(String metadataConfigId)`
  Set the metadataConfigId of this `GoogleDriveConfigurationStruct` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `GoogleDriveConfigurationStruct` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GoogleDriveConfigurationStruct

    protected GoogleDriveConfigurationStruct()
    Default constructor for GoogleDriveConfigurationStruct.

- ## Method Details

  - ### destination

    @Nonnull public GoogleDriveConfigurationStruct destination(@Nonnull String destination)
    Set the destination of this `GoogleDriveConfigurationStruct` instance and return the same instance.
    Parameters:
      `destination` - The destination of this `GoogleDriveConfigurationStruct`
    Returns:
      The same instance of this `GoogleDriveConfigurationStruct` class

  - ### getDestination

    @Nonnull public String getDestination()
    Get destination
    Returns:
      destination The destination of this `GoogleDriveConfigurationStruct` instance.

  - ### setDestination

    public void setDestination(@Nonnull String destination)
    Set the destination of this `GoogleDriveConfigurationStruct` instance.
    Parameters:
      `destination` - The destination of this `GoogleDriveConfigurationStruct`

  - ### googleDrive

    @Nonnull public GoogleDriveConfigurationStruct googleDrive(@Nonnull GoogleDriveConfig googleDrive)
    Set the googleDrive of this `GoogleDriveConfigurationStruct` instance and return the same instance.
    Parameters:
      `googleDrive` - The googleDrive of this `GoogleDriveConfigurationStruct`
    Returns:
      The same instance of this `GoogleDriveConfigurationStruct` class

  - ### getGoogleDrive

    @Nonnull public GoogleDriveConfig getGoogleDrive()
    Get googleDrive
    Returns:
      googleDrive The googleDrive of this `GoogleDriveConfigurationStruct` instance.

  - ### setGoogleDrive

    public void setGoogleDrive(@Nonnull GoogleDriveConfig googleDrive)
    Set the googleDrive of this `GoogleDriveConfigurationStruct` instance.
    Parameters:
      `googleDrive` - The googleDrive of this `GoogleDriveConfigurationStruct`

  - ### cronExpression

    @Nonnull public GoogleDriveConfigurationStruct cronExpression(@Nullable String cronExpression)
    Set the cronExpression of this `GoogleDriveConfigurationStruct` instance and return the same instance.
    Parameters:
      `cronExpression` - Optional cron expression for scheduling pipeline execution. Must represent an interval greater than 1 hour.
    Returns:
      The same instance of this `GoogleDriveConfigurationStruct` class

  - ### getCronExpression

    @Nonnull public String getCronExpression()
    Optional cron expression for scheduling pipeline execution. Must represent an interval greater than 1 hour.
    Returns:
      cronExpression The cronExpression of this `GoogleDriveConfigurationStruct` instance.

  - ### setCronExpression

    public void setCronExpression(@Nullable String cronExpression)
    Set the cronExpression of this `GoogleDriveConfigurationStruct` instance.
    Parameters:
      `cronExpression` - Optional cron expression for scheduling pipeline execution. Must represent an interval greater than 1 hour.

  - ### metadataConfigId

    @Nonnull public GoogleDriveConfigurationStruct metadataConfigId(@Nullable String metadataConfigId)
    Set the metadataConfigId of this `GoogleDriveConfigurationStruct` instance and return the same instance.
    Parameters:
      `metadataConfigId` - The metadataConfigId of this `GoogleDriveConfigurationStruct`
    Returns:
      The same instance of this `GoogleDriveConfigurationStruct` class

  - ### getMetadataConfigId

    @Nonnull public String getMetadataConfigId()
    Get metadataConfigId
    Returns:
      metadataConfigId The metadataConfigId of this `GoogleDriveConfigurationStruct` instance.

  - ### setMetadataConfigId

    public void setMetadataConfigId(@Nullable String metadataConfigId)
    Set the metadataConfigId of this `GoogleDriveConfigurationStruct` instance.
    Parameters:
      `metadataConfigId` - The metadataConfigId of this `GoogleDriveConfigurationStruct`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `GoogleDriveConfigurationStruct`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `GoogleDriveConfigurationStruct` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `GoogleDriveConfigurationStruct` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `GoogleDriveConfigurationStruct` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static GoogleDriveConfigurationStruct.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `GoogleDriveConfigurationStruct` instance with all required arguments.